Bug 986643 - (ghc-system-fileio) Review Request: ghc-system-fileio - Consistent filesystem interaction across GHC versions
Review Request: ghc-system-fileio - Consistent filesystem interaction across ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On: ghc-system-filepath
Blocks: 948699
  Show dependency treegraph
 
Reported: 2013-07-21 04:34 EDT by Jens Petersen
Modified: 2013-09-06 01:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghc-system-fileio-0.3.11-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 00:01:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mathstuf: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-07-21 04:34:34 EDT
Spec URL: http://petersen.fedorapeople.org//ghc-system-fileio.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-system-fileio-0.3.11-1.fc19.src.rpm

Description:
This is a small wrapper around the "directory", "unix", and "Win32" packages,
for use with "system-filepath". It provides a consistent API to the various
versions of these packages distributed with different versions of GHC.

In particular, this library supports working with POSIX files that have paths
which can't be decoded in the current locale encoding.
Comment 1 Jens Petersen 2013-07-21 04:34:40 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5634056
Comment 2 Ben Boeckel 2013-08-26 21:23:50 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Static libraries in -static subpackage, if present.
  Note: Archive *.a files found in ghc-system-fileio-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries


Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 358400 bytes in 17 files.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
INFO: mock.py version 1.1.33 starting...
Start: init plugins
INFO: tmpfs initialized
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.33
INFO: Mock Version: 1.1.33
Start: lock buildroot
INFO: installing package(s): /home/boeckb/misc/code/review/ghc-system-fileio/ghc-system-fileio-0.3.11-1.fc21.x86_64.rpm /home/boeckb/misc/code/review/ghc-system-fileio/ghc-system-fileio-devel-0.3.11-1.fc21.x86_64.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/srv/mock/base/fedora-rawhide-x86_64/root/', 'install', '/home/boeckb/misc/code/review/ghc-system-fileio/ghc-system-fileio-0.3.11-1.fc21.x86_64.rpm', '/home/boeckb/misc/code/review/ghc-system-fileio/ghc-system-fileio-devel-0.3.11-1.fc21.x86_64.rpm', '--setopt=tsflags=nocontexts']
Loaded plugins: auto-update-debuginfo, remove-with-leaves
Examining /home/boeckb/misc/code/review/ghc-system-fileio/ghc-system-fileio-0.3.11-1.fc21.x86_64.rpm: ghc-system-fileio-0.3.11-1.fc21.x86_64
Marking /home/boeckb/misc/code/review/ghc-system-fileio/ghc-system-fileio-0.3.11-1.fc21.x86_64.rpm to be installed
Examining /home/boeckb/misc/code/review/ghc-system-fileio/ghc-system-fileio-devel-0.3.11-1.fc21.x86_64.rpm: ghc-system-fileio-devel-0.3.11-1.fc21.x86_64
Marking /home/boeckb/misc/code/review/ghc-system-fileio/ghc-system-fileio-devel-0.3.11-1.fc21.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package ghc-system-fileio.x86_64 0:0.3.11-1.fc21 will be installed
--> Processing Dependency: ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57) for package: ghc-system-fileio-0.3.11-1.fc21.x86_64
file:///srv/yum/%24releasever/x86_64/base/repodata/repomd.xml: [Errno 14] curl#37 - "Couldn't open file /srv/yum/%24releasever/x86_64/base/repodata/repomd.xml"
Trying other mirror.
Error: failure: repodata/repomd.xml from bronto-burt: [Errno 256] No more mirrors to try.
       file:///srv/yum/$releasever/x86_64/base/repodata/repomd.xml: [Errno 14] curl#37 - "Couldn't open file /srv/yum/%24releasever/x86_64/base/repodata/repomd.xml"

Looks like fedora-review should expand yum variables in repo urls...



Rpmlint
-------
Checking: ghc-system-fileio-0.3.11-1.fc21.x86_64.rpm
          ghc-system-fileio-devel-0.3.11-1.fc21.x86_64.rpm
ghc-system-fileio.x86_64: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
ghc-system-fileio.x86_64: W: spelling-error %description -l en_US unix -> UNIX, Unix, uni
ghc-system-fileio.x86_64: W: spelling-error %description -l en_US filepath -> file path, file-path, telepathic
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Requires
--------
ghc-system-fileio (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(system-filepath-0.4.7-c7b27b28fefe76644dbb98b4689e1735)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    ghc(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSsystem-filepath-0.4.7-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

ghc-system-fileio-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(system-fileio-0.3.11-386462fc16d87d7e85b23b4489ca465a)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(system-filepath-0.4.7-c7b27b28fefe76644dbb98b4689e1735)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-devel(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    ghc-devel(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    ghc-system-fileio(x86-64)



Provides
--------
ghc-system-fileio:
    ghc(system-fileio-0.3.11-386462fc16d87d7e85b23b4489ca465a)
    ghc-system-fileio
    ghc-system-fileio(x86-64)
    libHSsystem-fileio-0.3.11-ghc7.6.3.so()(64bit)

ghc-system-fileio-devel:
    ghc-devel(system-fileio-0.3.11-386462fc16d87d7e85b23b4489ca465a)
    ghc-system-fileio-devel
    ghc-system-fileio-devel(x86-64)



Unversioned so-files
--------------------
ghc-system-fileio: /usr/lib64/ghc-7.6.3/system-fileio-0.3.11/libHSsystem-fileio-0.3.11-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/system-fileio/0.3.11/system-fileio-0.3.11.tar.gz :
  CHECKSUM(SHA256) this package     : eb13a13315dd946f2a827258465089531c47ca2ad436c446a2a9e3f5e1cfd242
  CHECKSUM(SHA256) upstream package : eb13a13315dd946f2a827258465089531c47ca2ad436c446a2a9e3f5e1cfd242


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --prebuilt --rpm-spec -m fedora-rawhide-x86_64-bb-tmpfs -n ghc-system-fileio
Comment 3 Jens Petersen 2013-08-26 21:29:08 EDT
Thanks


New Package SCM Request
=======================
Package Name: ghc-system-fileio
Short Description: Consistent filesystem interaction across GHC versions
Owners: petersen
Branches: f19 f18 el6
InitialCC: haskell-sig
Comment 4 Jens Petersen 2013-08-26 21:55:20 EDT
Ah forgot to request f20 branch:

New Package SCM Request
=======================
Package Name: ghc-system-fileio
Short Description: Consistent filesystem interaction across GHC versions
Owners: petersen
Branches: f20 f19 f18 el6
InitialCC: haskell-sig
Comment 5 Gwyn Ciesla 2013-08-27 08:15:10 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-08-27 21:57:17 EDT
ghc-system-fileio-0.3.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-system-fileio-0.3.11-1.fc18
Comment 7 Fedora Update System 2013-08-27 21:57:28 EDT
ghc-system-fileio-0.3.11-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-system-fileio-0.3.11-1.fc19
Comment 8 Fedora Update System 2013-08-28 17:27:07 EDT
ghc-system-fileio-0.3.11-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-09-06 00:01:56 EDT
ghc-system-fileio-0.3.11-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-09-06 01:15:16 EDT
ghc-system-fileio-0.3.11-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-09-06 01:16:43 EDT
ghc-system-fileio-0.3.11-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.